Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1204862 - Per BZ1056740, please enhance 'Operation Selector' portion of SwitchYard doc
Summary: Per BZ1056740, please enhance 'Operation Selector' portion of SwitchYard doc
Keywords:
Status: ASSIGNED
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Documentation
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: soa-docs@redhat.com
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-23 16:15 UTC by Rick Wagner
Modified: 2015-08-04 22:41 UTC (History)
2 users (show)

Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Build Name: 22584, Development Guide Volume 1: SwitchYard-6-6 Build Date: 13-01-2015 12:11:26 Topic ID: 17897-621583 [Specified]
Last Closed:
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
JBoss Issue Tracker FUSEDOC-555 Major Resolved Please enhance 'Operation Selector' portion of SwitchYard doc 2015-07-30 09:17:12 UTC
Red Hat Bugzilla 1056740 None None None Never

Description Rick Wagner 2015-03-23 16:15:49 UTC
SOA-PM has been reviewing BZ-1056740 [1].  This BZ has been rejected for code fix, but we believe a doc update is warranted.  Please include in the documentation something similar to this:

"Operation selectors are used in combination with a service binding to help SwitchYard determine the target operation for a service invocation.  When a service only has a single operation, an operation selector should not be used.  If an operation selector is used for a service with a single operation, failure to assign an operation in the operation selector will not result in an error.  If an operation selector fails to assign an operation for a service with multiple operations an error is reported."


Thank you!

Rick

[1] https://bugzilla.redhat.com/show_bug.cgi?id=1056740

Comment 1 belong 2015-03-25 23:28:11 UTC
Should we add this to both 6.0 and 6.2 documentation?

Comment 2 Rick Wagner 2015-03-27 13:57:47 UTC
Hello Ben,

Thanks for that good question.

Yes, this issue affects both FSW 6.0 and will affect 6.2.  Let's please add to both doc sets.

Regards,

Rick


Note You need to log in before you can comment on or make changes to this bug.